#
# spec file for package mdadm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mdadm
Version:        3.1.4
Release:        13.19.1
BuildRequires:  sgmltool
PreReq:         %fillup_prereq %insserv_prereq
Obsoletes:      raidtools
AutoReqProv:    on
Group:          System/Base
License:        GPLv2+
Url:            http://www.kernel.org/pub/linux/utils/raid/mdadm/
Summary:        Utility for Configuring MD Setup
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Source1:        Software-RAID.HOWTO.tar.bz2
Source2:        sysconfig.mdadm
Source3:        mdadmd
Source4:        boot.md
Source5:        mkinitrd-setup.sh
Source6:        mkinitrd-boot.sh
Source7:        64-md-raid.rules
# PATCH-FIX-OPENSUSE Fix crash if /proc/mdstat lists 0.9 superblocks (should be upstreamed)
Patch2:         mdmon-0.9-superblock-crash.patch
Patch3:         super1-byteorder-fix

%description
Mdadm is a program that can be used to control Linux md devices. It is
intended to provide all the functionality of the mdtools and raidtools
programs but with a very different interface.



Authors:
--------
    Neil Brown <neilb@suse.de>

%prep
%setup -q -a1
%patch2 -p1
%patch3 -p1

%build
%{suse_update_config -f}
make %{?_smp_mflags} CXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wno-error"
cd Software-RAID.HOWTO
sgml2html Software-RAID.HOWTO.sgml
sgml2txt Software-RAID.HOWTO.sgml

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/adm/fillup-templates
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/init.d}
install -d $RPM_BUILD_ROOT/lib/udev/devices
install -m 755 %{S:4} %{S:3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
install -d $RPM_BUILD_ROOT/lib/mkinitrd/scripts
install -m 755 %{S:5} $RPM_BUILD_ROOT/lib/mkinitrd/scripts/setup-md.sh
install -m 755 %{S:6} $RPM_BUILD_ROOT/lib/mkinitrd/scripts/boot-md.sh
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
ln -sf ../../etc/init.d/mdadmd $RPM_BUILD_ROOT/%{_sbindir}/rcmdadmd
rm -rf $RPM_BUILD_ROOT/var/run/mdadm
mkdir -p $RPM_BUILD_ROOT/var/run
ln -s mdadm $RPM_BUILD_ROOT/var/run/mdadm
install -d $RPM_BUILD_ROOT/lib/udev/rules.d
install -m 644 %_sourcedir/64-md-raid.rules $RPM_BUILD_ROOT/lib/udev/rules.d

%post
[ -x /sbin/mkinitrd_setup ] && mkinitrd_setup
%{fillup_and_insserv -y boot.md}
mkdir -p /dev/.mdadm
# replace the /var/run/mdadm directory (installed by sle11/11.1) with
# a symlink pointing to /dev/.mdadm. Do not do this when /var/run/mdadm is
# not empty, let /etc/init.d/boot.md do it at the next reboot.
if test -e /var/run/mdadm -a ! /var/run/mdadm -ef /dev/.mdadm; then
	if ! rmdir /var/run/mdadm 2>/dev/null; then
		exit 0
	fi
	ln -s /dev/.mdadm /var/run/mdadm
fi

%postun
%restart_on_update mdadmd
[ -x /sbin/mkinitrd_setup ] && mkinitrd_setup
%{insserv_cleanup}

%preun
%stop_on_removal mdadmd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) %config %{_sysconfdir}/init.d/*
%doc COPYING ChangeLog README.initramfs TODO mdadm.conf-example mkinitramfs
%doc Software-RAID.HOWTO/Software-RAID.HOWTO*{.txt,.html}
%doc %{_mandir}/man?/*
/sbin/*
%dir /lib/udev
%dir /lib/udev/devices
%{_sbindir}/*
%{_var}/adm/fillup-templates/sysconfig.mdadm
%ghost /var/run/mdadm
%dir /lib/mkinitrd
%dir /lib/mkinitrd/scripts
/lib/mkinitrd/scripts/setup-md.sh
/lib/mkinitrd/scripts/boot-md.sh
%dir /lib/udev
%dir /lib/udev/rules.d
/lib/udev/rules.d/64-md-raid.rules

%changelog
* Tue Jun 21 2011 nfbrown@novell.com
- 64-md-raid.rules - Don't ignore partitions when
  trying to ignore inactive arrays.  The earlier
  fix to this file cause partition device files
  to not get creates bnc#684291
- super1-byteorder-fix - perform correct byte-order
  conversion when checking superblock for assembly.
  This affects v1.x metadata on bigendian machines
  only.  bnc#699667
* Tue Mar  1 2011 nfbrown@novell.com
- mkinitrd-boot.sh: don't assume /dev/md when device
  name cannot be found.  It could easily be wrong,
  and there is no need as mdadm will choose a device.
  (bnc#656536)
* Thu Feb 17 2011 nfbrown@novell.com
- 64-md-raid.rules: avoid races with md devices
  appearing and disappearing.
  If the 'array_state' file doesn't exist, that is equivalent
  to it having 'clear' in it. (bnc#641382)
* Wed Nov 17 2010 nfbrown@novell.com
-  boot.md - change args to mdmon.
  The argument parsing of mdmon changed in the recent update
  and we need to change boot.md to match.
* Thu Oct 21 2010 ro@suse.de
- update to 3.1.4
  - Support --grow to change the layout of RAID4/5/6
  - Support --grow to change the chunksize of raid 4/5/6
  - Support --grow to change level from RAID1 -> RAID5 -> RAID6 and
    back.
  - Support --grow to reduce the number of devices in RAID4/5/6.
  - Support restart of these grow options which assembling an array
    which is partially grown.
  - Assorted tests of this code, and of different RAID6 layouts.
  - The default metadata is now v1.2
  - The default chunksize is now 512K rather than 64K.  This seems more
    appropriate for modern devices.
  - The default bitmap chunksize for internal bitmaps is now at least
    64Meg as fine grained bitmaps tend to impact performance more for
    little extra gain.
  - Alway make bitmap 4K-aligned if at all possible.
- removed patches:
  - bitmap-4k-boundary.patch (obsolete/upstream)
  - fix-dup.patch (obsolete/upstream)
  - IMSM-part.patch (obsolete/upstream)
  - container-argv-check (obsolete/upstream)
* Mon Jun 28 2010 jengelh@medozas.de
- use %%_smp_mflags
* Tue Jun  1 2010 mmarek@suse.cz
- mkinitrd-setup.sh: Fix for empty $md_devs variable.
* Fri Apr 23 2010 nfbrown@novell.com
- IMSM-part.patch - never try to include partitions in an
  IMSM array - bnc#597787
- container-argv-check - avoid incorrect error message when
  assembling multiple containers - bnc#598827
* Thu Apr 22 2010 mmarek@suse.cz
- mkinitrd-boot.sh: Fix booting with root=/dev/disk/by-id/md-uuid*,
  run mdadm -v when linuxrc=trace is given (bnc#597787).
* Mon Apr 19 2010 nfbrown@novell.com
- fix-dup.patch: revised version to make sure partial
  device is destroyed properly (bnc#587925).
* Fri Mar 26 2010 mmarek@suse.cz
- fix-dup.patch: catch attempts to add the same disk twice
  (bnc#587925).
* Wed Mar 24 2010 mmarek@suse.cz
- 64-md-raid.rules: Use absolute path to grep, otherwise udev will
  only search in /lib/udev (bnc#590832).
* Tue Mar 23 2010 mmarek@suse.cz
- mkinitrd-*.sh: Assemble md arrays even if the root= or resume=
  option doesn't directly refer to md (bnc#589676, bnc#586837,
  bnc#583424).
* Mon Mar 22 2010 mmarek@suse.cz
- mdmon: Fix crash if /proc/mdstat lists 0.9 superblocks
  (bnc#589447).
* Thu Mar 11 2010 mmarek@suse.cz
- 64-md-raid.rules: Use blkid instead of vol_id.
* Thu Mar 11 2010 mmarek@suse.cz
- 64-md-raid.rules: Allow --incremental assembly if "AUTO -all" is
  given in mdadm.conf (fate#307478).
* Tue Mar  9 2010 mmarek@suse.cz
- Install udev rules in /lib/udev/rules.d (fate#307478).
* Mon Feb 22 2010 mmarek@suse.cz
- mkinitrd-setup.sh: call mdadm --scan only if necessary
  (bnc#581769).
* Fri Feb 19 2010 mmarek@suse.cz
- bitmap-4k-boundary.patch: Alling the internal bitmap on 4K
  boundary (bnc#577468).
* Fri Jan 15 2010 mmarek@suse.cz
- fix modprobe invocation in boot.md (bnc#565293).
* Fri Jan 15 2010 mmarek@suse.cz
- store mdmon runtime files in /dev/.mdadm, to make it easier to
  transfer mdmon from the initrd to the real root.
- rework the mkinitrd setup script a bit.
* Wed Jan  6 2010 mmarek@suse.cz
- mkinitrd-*.sh: fix booting from partitionable md devices and
  from container devices (bnc#565219).
* Tue Dec 15 2009 jengelh@medozas.de
- enable parallel building
* Fri Dec  4 2009 mmarek@suse.cz
- Support for partitionable md devices in mkinitrd scripts
  (fate#305883).
* Tue Nov  3 2009 mmarek@suse.cz
- update to 3.0.3 (fate#307159)
  * mdmon improvements (needed for fate#306823)
  * other fixes
* Fri Oct 30 2009 mmarek@suse.cz
- mkinitrd-boot.sh: add /sbin/mdmon to the initrd (fate#306823).
* Thu Oct  1 2009 mmarek@suse.cz
- updated to 3.0.2 + 2 patches
  * bugfixes only
* Fri Jun 12 2009 mmarek@suse.cz
- remove static md* device nodes, they should not be needed
  anymore.
* Thu Jun 11 2009 mmarek@suse.cz
- updated to 3.0 final
- dropped all patches
* Tue Mar  3 2009 mmarek@suse.cz
- super0:  Do all metadata IO with 4096byte alignment
- super1 - do metadata IO in sector_size units.
  (bnc#466172)
* Sat Feb 21 2009 mmarek@suse.cz
- mkinitrd-setup.sh: filter out duplicate devices (bnc#461673,
  patch by Xin Wei Hu)
* Tue Feb 17 2009 mmarek@suse.cz
- disable auto-assemly in boot.md completely as it can collide with
  dmraid (bnc#474652). If someone wants to auto-assemble md arrays
  in the rescue system, they can run
  'mdadm -Es -c partitions >mdadm.conf && mdadm -As -c mdadm.conf'
  manually.
* Mon Feb 16 2009 mmarek@suse.cz
- fix segfault when stopping imsm arrays
  (bnc#473947, patch by Dan Williams)
* Mon Jan 26 2009 ro@suse.de
- change fillup call from "-Y" to "-y" the boot script has
  been present in this package for long enough (SLES10-GA)
* Fri Dec  5 2008 hare@suse.de
- Wait for udev to settle before continuing (bnc#435778)
* Fri Dec  5 2008 nfbrown@suse.de
- boot.md : an exit status of '2' from "mdadm --assemble"
  should not be seen as failure by boot.md.
  It happens if one or more arrays is already
  assembled.
  (bnc#456028)
* Thu Nov 20 2008 nfbrown@suse.de
- don-t-auto-assemble-if-any-arrays-are-list.patch
  Avoid assembling extra arrays during initrd
  processing. bnc#445438
* Thu Nov 20 2008 nfbrown@suse.de
- mdmon-pass-symbolic-name-to-mdmon-instead-of-device.patch
  avoid problems if mdmon is run before
  udev creates any devices.
* Fri Nov 14 2008 nfbrown@suse.de
- intel.fixes.patch : various fixes from intel for
  proper handling of their metadata
- name.fixes.patch : various fixes for new handling
  of device names - one could cause a crash.
* Sun Nov  9 2008 ro@suse.de
- fix patch apply depth
* Fri Nov  7 2008 nfbrown@suse.de
- mdadm-auto-assemble.patch - fix various bugs in
  auto-assemble
- start-kpartx-for-imsm-devices.patch - IMSM devices
  need to be partitioned, and may programs including
  YaST don't understand partitioned md devices,
  so run kpartx to create 'dm' based partitions which
  have a better chance for being understood
  This relates to FATE#304220
* Fri Nov  7 2008 ro@suse.de
- remove udev rule (conflicting with file in udev package)
* Fri Nov  7 2008 ro@suse.de
- buildfix: add missing DESTDIR to Makefile for udev rule
- fix len in snprintf to silence compiler warning about potential
  overflow
* Thu Nov  6 2008 nfbrown@suse.de
- Update from mdadm-3.0-devel1 to mdadm-3.0-devel2.
  This includes various bug fixes and enhancements to the
  extent that DDF and IMSM work reasonably well and can be
  auto-assembled much like other arrays.
- Allow BOOT_MD_USE_MDADM_CONFIG to have the value 'part'
  that, like 'no', arrays are auto-assembled.  However they
  get assembled as 'mdp' partitionable arrays where possible.
  This currently only affect arrays with v1.x metadata.
  This supports FATE#303894
* Fri Oct  3 2008 mmarek@suse.cz
- fixed mdmon's clone_monitor on ia64
* Fri Oct  3 2008 mmarek@suse.cz
- fixed byte swapping in super-intel.c on big endian.
* Wed Sep 24 2008 ro@suse.de
- change "udevsettle" to "udevadm settle"
* Fri Sep 19 2008 mmarek@suse.cz
- added /var/run/mdadm for mdmon
- fixed build
* Thu Sep 18 2008 nfbrown@suse.de
- update to mdadm-3.0-devel1
  package version number is set to 3.0 to avodi future confusion.
  This is a substantial update that provides support for handling
  the metadata entirely in userspace and thus making easier to
  handle a variety of metadata formats.  Support is included for
  DDF and for the Intel Matrix metadata used by recent ICH chipsets.
  An extra program 'mdmon' is needed and included.  It is run to
  monitor any array using 'external' (to the kernel) metadata
  and will update the metadata in response to device failures etc.
  This is required for FATE 304219
* Wed Sep  3 2008 hare@suse.de
- Call mkinitrd_setup during %%post and %%postun (bnc#413709)
* Sun Aug 17 2008 aj@suse.de
- Fix init scripts.
* Wed Jul 23 2008 hare@suse.de
- Include mkinitrd scriptlets.
* Fri Jun 20 2008 mmarek@suse.cz
- updated to 2.6.7 + fixes from git
  * Avoid segfault when parsing /proc/mdstat with auto-read-only
    arrays.
  * For v0.90 superblocks, print the 'Events' count as a real
    count, not 2 numbers separated by a dot.
  * Allow creation of a RAID6 with exactly one missing device.
  * Use LOG_PID for syslog, so you get the pid of mdadm in the
    log files.
  * --export now works with --examine too (not just --detail)
  * Improve auto-creation of device special file when using
  - -incremental
  * Simple locking for --incremental so mdadm doesn't get
    confused when run concurrently with itself.
  * Make --incremental cope better with arrays that are being
    reshaped.
  * Fix autoassemble for stack arrays.
- remove /tmp/mdadm.conf in boot.md (bnc#401138)
* Wed Apr 30 2008 mmarek@suse.cz
- added some fixes from Neil's git repo, fixing bnc#368704 among
  others
* Mon Feb  4 2008 mmarek@suse.cz
- correctly display rc_status in boot.md
* Wed Jan 23 2008 mmarek@suse.cz
- fixed auto-assembly part of boot.md
  * if /etc/mdadm.conf is empy or only contains whitespace or
    comments, no autoassembly is done
  * remove /tmp/mdadm.conf even if a directory [#329678]
- dropped mdrun and raidautorun (no longer needed)
* Wed Oct 24 2007 mmarek@suse.cz
- updated to 2.6.4
  * Make "--create --auto=mdp" work for non-standard device names.
  * Fix restarting of a 'reshape' if it was stopped in the middle.
  * Fix a segfault when using v1 superblock.
  * Make --write-mostly effective when re-adding a device to an
    array.
  * Various minor fixes
- changes in 2.6.3:
  * allow --write-behind to be set for --grow.
  * When adding new disk to an array, don't reserve so much bitmap
    space that the disk cannot store the required data. (Needed
    when 1.x array was created with older mdadm).
  * When adding a drive that was a little too small, we did not get
    the correct error message.
  * Make sure that if --assemble find an array in the critical
    region of a reshape, and cannot find the critical data to
    restart the reshape, it gives an error message.
  * Fix segfault with '--detail --export' and non-persistent
    superblocks.
  * Various manpage updates.
  * Improved 'raid4' support (--assemble, --monitor)
  * Option parsing fixes w.r.t -a
  * Interpret "--assemble --metadata=1" to allow any version 1.x
    metadata, and be more specific in the "metadata=" message
    printed with --examine --brief
  * Fix spare migration in --monitor.
* Fri Jul 27 2007 mmarek@suse.cz
- changes to the init script [#288454]
  * don't try to autoassemble if /etc/mdadm.conf exists (even an
    empty one)
  * ony autoassemble partitions found in /proc/partitions
* Fri Jul 13 2007 mmarek@suse.cz
- updated to 2.6.2
  * --fail detached and --remove faulty can be used to fail and
    remove devices that are no longer physically present.
  * --export option for --detail or present information in a format
    that can be processed by udev.
  * fix internal bitmap allocation problems with v1.1, v1.2
    metadata.
  * --help now goes to stdout so you can direct it to a pager.
  * Various manpage updates.
  * Make "--grow --add" for linear arrays really work.
  * --auto-detect to trigger in-kernel autodetect.
  * Make return code for "--detail --test" more reliable.  Missing
    devices as well as failed devices cause an error.
- added some fixes from Neil's git repo (mdadm-git-fixes.patch)
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Mon Apr  2 2007 mmarek@suse.cz
- updated to 2.6.1
  * --monitor was producing some meaningless warnings due to a bug.
  * Fix some compiler warnings.
  * Fully support --grow for raid6.  If a reshape crashed during
    the critical period, mdadm wouldn't restore the Q information
    properly.
  * Update documentation for --grow.
  * Report bitmap status in --detail and --examine
  * Default to v1 superblocks instead of v0.90 if the array
    is too big for 0.90 to handle.
  * Sort the output of "mdadm --detail --scan" so that it is
    in a suitable order for assembling arrays. i.e. components come
    before an array that they are part of.
  * Require bitmap files to have a '/' in their name.
  * Rewrite 'reshape' support including performing a backup
    of the critical region for a raid5 growth, and restoring that
    backup after a crash.
  * Put a 'canary' at each end of the backup so a corruption
    can be more easily detected.
  * Support --backup-file for backing-up critical section during
    growth.
  * Erase old superblocks (of different versions) when creating new
    array.
  * Allow --monitor to work with arrays with >28 devices
  * Report reshape information in --detail
  * Handle symlinks in /dev better
  * Fix mess in --detail output which a device is missing.
  * Support 'bitmap=' in mdadm.conf for auto-assembling arrays with
    write-intent bitmaps in separate files.
  * Fix alignment problem in version-1 superblocks.
    NOTE: This is an incompatable change affecting raid5 reshape.
    If you want to reshape a raid5 using version-1 superblocks,
    use 2.6.17-rc2 or later, and mdadm-2.4.1 or later.
  * Support 'mailfrom' line in mdadm.conf so the From: line in alert
    emails can be explicitly set.
  * Arrange that SparesMissing (which is similar in import to
    DegradedArray) generates an Email.
  * Assume "DEVICE partitions" if no DEVICE line is given.
  * Support new 'offset' layout for raid10.
  * When creating a bitmap file, choose a chunksize to limit number
    of bitmap chunks to 2 million.  More than this can cause kmalloc
    failure.
  * New 'CREATE' line in mdadm.conf for defaults such as owner, group,
    mode and auto-flag
  * --detail checks if array has been started or not and includes that
    in report.
  * When using --update=uuid on an array with a bitmap, update the
    bitmap's uuid too.
  * Add a copy of /proc/mdstat to the mail message sent by mdadm
  - -monitor.
  * New flag --no-degraded to avoid starting arrays if there are
    fewer devices available than last time the array was started.
    This is only needed with --scan, as with --scan, that behaviour
    is the default.
  * Support for 'homehost' concept.  This is a fairly major update.
    It includes a configfile option and a command line option for
    specifying a homehost, records that host in the superblock,
    and reports the homehost where possible.
  * Support for Auto Assembly.  "mdadm -As" will, if provided with
    the name of a homehost, try to assemble all arrays it can find
    that were created for that homehost.  See man pages for more details.
  * Don't try to create devices with --manage or --grow
  * allow default metadata (superblock) type to be specified
    in mdadm.conf
  * Avoid some misdetection of overlapping partitions
  * Add 'Array Slot' line to --examine for version-1 superblocks
    to make it a bit easier to see what is happening.
  * Work around bug in --add handling for  version-1 superblocks
    in 2.6.17 (and prior).
  * Make -assemble a bit more resilient to finding strange
    information in superblocks.
  * When creating devices in /dev/md/ create matching symlinks
    from /dev.  e.g. /dev/md0 -> /dev/md/0.
    Allow this to be disabled in mdadm.conf or on command line.
  * Allow a number (of partitions) after the 'yes' option to --auto=
    This is particularly useful in the 'create' line in mdadm.conf.
  * Remove partitions from any whole device that is made part of
    an md array.  This is a work-around for annoying messages
    when the first block on some drive accidentally looks like a
    partition table.
  * Close stray fd in mdassemble so that it can assemble stacked
    devices
  * If mdassemble finds an array already assembled, it marks it
    read-write.
  * Remove error in md_open if array is already active.  This isn't
    needed and gets in the ways if an array was created e.g. in
    initramfs, but device doesn't yet exist in /dev.
  * When --assemble --scan is run, if all arrays that could be found
    have already been started, don't report an error.
  * Allow --assemble --force to mark a raid6 clean when it has two
    missing devices (which is needed else if won't assemble.
    Without this fix it would only assemble if one or zero
    missing devices.
  * Support --update=devicesize for cases where the underlying device
    can change size.
  * Default to --auto=yes so the array devices with 'standard' names
    get created automatically, as this is almost always what is wanted.
  * Give useful message if raid4/5/6 cannot be started because it is
    not clean and is also degraded.
  * Increase raid456 stripe cache size if needed to --grow the array.
    The setting used unfortunately requires intimate knowledge of the
    kernel, and it not reset when the reshape finishes.
  * Change 'Device Size' to 'Used Dev Size' because it only shows how
    much of each device is actually used, not how big they are.
  * --wait or -W will wait for resync activity to finish on the given
    devices.
  * If two drives in a raid5 disappear at the same time, then "-Af"
    will add them both in rather than just one and forcing the array
    to 'clean'.  This is slightly safer in some cases.
  * Don't hold md device open for so long in --monitor mode - map_dev
    can be slow and interferes with trying to stop the array.
  * Support --uuid= with --create to choose your own UUID.
  * New major more "--incremental" for incremental assemble of arrays,
    intended for use with udev.
  * lots of bugfixes
  * manpage updates
* Wed Jan 10 2007 mmarek@suse.cz
- use raidautorun instead of mdrun to autodetect the raid arrays in
  boot.md [#230733]
* Wed Nov  8 2006 prusnak@suse.cz
- fixed subscript out of range [#212697]
* Wed Sep 20 2006 mjancar@suse.cz
- update to 2.5.3
  * lots bugfixes
  * drop all patches (integrated upstream)
* Fri Jul 28 2006 olh@suse.de
- remove dropped boot.ibmsis from boot.md
- boot.rootfsck should start before boot.md (#181972)
* Fri Jul 21 2006 olh@suse.de
- remove boot.proc from Required-Start: in boot.md (#178753)
* Wed May  3 2006 mjancar@suse.cz
- fix false SparesMissing error (#171326)
* Wed Apr 26 2006 hare@suse.de
- Fix init script dependencies
- Implement MDADM_DEVICE_TIMEOUT to set a timeout for
  udevsettle (#149979)
* Tue Apr 25 2006 mjancar@suse.cz
- add static device nodes for udev (#168824)
* Wed Apr 19 2006 mjancar@suse.cz
- set $BOOT_MD_USE_MDADM_CONFIG to "yes" by default (#155120)
* Fri Apr  7 2006 mjancar@suse.cz
- detach mdadmd from tty in rcmdadmd (#160881)
* Mon Apr  3 2006 mjancar@suse.cz
- fix garbled output with --detail (#160827)
- fix fix write-mostly with --add and --re-add (#162968)
* Fri Mar 24 2006 mjancar@suse.cz
- add /sbin/raidautorun (#159460)
* Wed Mar  8 2006 mjancar@suse.cz
- add $BOOT_MD_USE_MDADM_CONFIG sysconfig variable (#155120)
* Thu Feb  9 2006 mjancar@suse.cz
- round free size to chunk size multiply on --create (#148562)
* Tue Feb  7 2006 mjancar@suse.cz
- move boot.multipath to Should-Start instead of Required-Start
* Mon Feb  6 2006 mjancar@suse.cz
- add "Obsoletes: raidtools"
- start boot.md after boot.multipath
- call mdadm without -a from mdrun, an argument is required in 2.2
* Mon Feb  6 2006 mjancar@suse.de
- don't start mdadmd by default
* Sun Feb  5 2006 mjancar@suse.cz
- include option for email to be sent on start (#142105)
- fix missing md autostart due to raidtools dropped (#148234)
  * include mdrun script from Debian
  * create boot.md initscipt
* Sun Feb  5 2006 schwab@suse.de
- Fix memset parameters.
* Thu Feb  2 2006 mjancar@suse.cz
- fix segfault on --assemble (#146514)
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 olh@suse.de
- fix uninitialized variable, memset call and memcmp/memcpy bug
  mdadm.bug144647-array.init.patch
  mdadm.bug144647-update_super1-memcpy.patch
  mdadm.bug144647-add_internal_bitmap0-memcpy.patch
* Wed Jan 11 2006 mjancar@suse.cz
- update ro 2.2
* Tue Dec 20 2005 ro@suse.de
- at least output errors if they occur (instead of ignoring)
* Wed Nov 30 2005 schwab@suse.de
- Fix broken formats.
* Tue Oct 25 2005 aj@suse.de
- Build with -fno-strict-aliasing.
* Wed Oct 12 2005 mjancar@suse.cz
- update to 2.1
* Thu Jul 28 2005 anicka@suse.cz
- update to 1.12.0
* Wed Jun 15 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Tue Apr 19 2005 postadal@suse.de
- updated to version 1.11.0
- fixed for gcc 4.0
- removed obsoleted patch config-fix
* Wed Mar 30 2005 postadal@suse.cz
- fixed parsing command line option '--config=partions' [#74603]
* Fri Feb  4 2005 postadal@suse.cz
- updated to version 1.9.0
* Thu Jan 13 2005 postadal@suse.cz
- updated to version 1.8.1
- extended comment in sysconfig.mdadm [#48567]
* Fri Aug  6 2004 postadal@suse.cz
- updated to version 1.6.0
  * added --auto= and --assume-clean options
  * added "degraded" and "recovering" options to the "Status:" entry
* Tue Feb 10 2004 postadal@suse.cz
- updated to version 1.5.0
  * new commands "mdassemble"
  * support for raid6 as found in 2.6.2
  * support partitioned md arrays with a different major number and
    naming scheme
  * added "SparesMissing" event when --monitor first sees an array and
    it doesn't have the enough spare devices.
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Mon Dec  1 2003 fehr@suse.de
- fix quoting problem in start script (#33392)
* Fri Aug 29 2003 fehr@suse.de
- add PreReq for fillup
* Tue Aug 26 2003 fehr@suse.de
- add %%stop_on_removal and %%restart_on_update
* Thu Aug 14 2003 fehr@suse.de
- add missing activation metadata in sysconfig (#28901)
* Tue Jul 29 2003 fehr@suse.de
- update to new version 1.3.0 of package
* Mon Apr 14 2003 postadal@suse.cz
- fixed init script (added return value for unimplemented reload function)
* Mon Mar 31 2003 postadal@suse.cz
- added buildroot, init script, sysconfig
- bzip2 sources and cleaned specfile
* Thu Mar 20 2003 fehr@suse.de
- update to version 1.2.0 of package
* Mon Mar  3 2003 fehr@suse.de
- update to version 1.1.0 of package
* Mon Dec  2 2002 fehr@suse.de
- Fix for new glibc/gcc
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Sep 13 2002 lmb@suse.de
- Fix for 64bit arch; ioctl returns long instead of int (#20339)
* Fri Aug 23 2002 lmb@suse.de
- Multipath arrays can now be build manually even without a superblock.
- One debugging chunk removed from patch.
* Tue Aug 13 2002 lmb@suse.de
- Fix for the assembly of multipath arrays.
* Mon Aug 12 2002 lmb@suse.de
- Added patch to support the enhanced multipath features.
* Mon Aug  5 2002 fehr@suse.de
- make SuSE package from version 1.0.1 of mdadm
